%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

Iters = [1 10 50 100 200];
Iter = Iters(end);

files = dir('data/amc_files/*.amc');

for file = files'
  data = strsplit(file.name, '.');
  data = data(1);
  Graphs.YE(strjoin(['plots/' data '_YE'], ''), strjoin(['logs.train/' data '_' num2str(Iter) '.mat'], ''), Iters);
  Graphs.XE(strjoin(['plots/' data '_XE'], ''), strjoin(['logs.train/' data '_' num2str(Iter) '.mat'], ''), Iters);
  Graphs.YEMean(strjoin(['plots/' data '_YEMean'], ''), strjoin(['logs.train/' data '_' num2str(Iter) '.mat'], ''));
  Graphs.XEMean(strjoin(['plots/' data '_XEMean'], ''), strjoin(['logs.train/' data '_' num2str(Iter) '.mat'], ''));
  Graphs.Loglik(strjoin(['plots/' data '_Loglik'], ''), strjoin(['logs.train/' data '_' num2str(Iter) '.mat'], '')); 
end

quit;

